(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12796,        457]
NotebookOptionsPosition[      9797,        346]
NotebookOutlinePosition[     10233,        363]
CellTagsIndexPosition[     10190,        360]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["ModelBuilding", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["ModelBuilding`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["ModelBuilding/ref/MBgetStructureDescription", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBgetStructureDescription", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBgetStructureDescription", "[", "Group", "]"}]], 
  "InlineFormula"],
 "\[LineSeparator]MBgetStructureDescription returns the output of the command \
structure description in GAP, which gives an idea of the structure of a \
group. However, this is not an exact definition, e.g. the homomorphism \
H->Aut(N) in the semidirect product of N by H is not given."
}], "Usage",
 CellChangeTimes->{{3.526852299728303*^9, 3.526852412211349*^9}, {
  3.526852502584855*^9, 3.526852562541251*^9}, {3.526852999388329*^9, 
  3.526853000484068*^9}, {3.52685311002148*^9, 3.526853122967556*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526851363185132*^9, 3.526851388451866*^9}, {
  3.52694161382479*^9, 3.526941620584668*^9}},
 CellLabel->"In[0]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5268514020126867`*^9, 3.526851403516307*^9}},
 CellLabel->"In[1]:=",
 CellID->2070045828],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
  3.526853175892934*^9, 3.526853198773362*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->2070515390],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
  3.526853175892934*^9, 3.526853199810232*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1737741235],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
  3.526853175892934*^9, 3.526853199833536*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->662107630],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
  3.526853175892934*^9, 3.526853199834783*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->236827592],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
  3.526853175892934*^9, 3.526853199835929*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->365966610],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
  3.526853175892934*^9, 3.526853199837479*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->592936029],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
  3.526853175892934*^9, 3.526853199839802*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1723447742]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetStructureDescription", "[", "A4", "]"}]], "Input",
 CellChangeTimes->{{3.526853179191749*^9, 3.526853189571355*^9}},
 CellLabel->"In[2]:=",
 CellID->339891077],

Cell[BoxData["\<\"A4\"\>"], "Output",
 CellChangeTimes->{3.526853200099992*^9},
 CellLabel->"Out[2]=",
 CellID->280865485]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->1155968248],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526851147922578*^9, 3.526851220016498*^9}},
 CellID->1295640488]
}, Open  ]]
},
WindowSize->{1280, 776},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 86, 2, 70, "Categorization",
 CellID->605800465],
Cell[1149, 49, 83, 2, 70, "Categorization",
 CellID->468444828],
Cell[1235, 53, 88, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1360, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1418, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1500, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1568, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1665, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1750, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1834, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1953, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[2009, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2075, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2147, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2214, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2286, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2350, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2414, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2480, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2561, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2665, 132, 68, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2736, 135, 667, 13, 108, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3440, 153, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[3799, 166, 271, 7, 26, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[4095, 177, 251, 7, 26, "Input",
 CellID->2070045828],
Cell[CellGroupData[{
Cell[4371, 188, 264, 5, 21, "Print",
 CellID->2070515390],
Cell[4638, 195, 227, 4, 21, "Print",
 CellID->1737741235],
Cell[4868, 201, 422, 9, 60, "Print",
 CellID->662107630],
Cell[5293, 212, 393, 9, 41, "Print",
 CellID->236827592],
Cell[5689, 223, 399, 9, 41, "Print",
 CellID->365966610],
Cell[6091, 234, 1006, 25, 76, "Print",
 CellID->592936029],
Cell[7100, 261, 1831, 46, 140, "Print",
 CellID->1723447742]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8980, 313, 188, 4, 26, "Input",
 CellID->339891077],
Cell[9171, 319, 122, 3, 25, "Output",
 CellID->280865485]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9342, 328, 58, 1, 43, "TutorialsSection",
 CellID->1155968248],
Cell[9403, 331, 378, 12, 16, "Tutorials",
 CellID->1295640488]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
