(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     14184,        508]
NotebookOptionsPosition[     10887,        387]
NotebookOutlinePosition[     11323,        404]
CellTagsIndexPosition[     11280,        401]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["ModelBuilding", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["ModelBuilding`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["ModelBuilding/ref/MBloadGAPGroup", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBloadGAPGroup", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBloadGAPGroup", "[", 
   RowBox[{"Name", ",", "Options"}], "]"}]], "InlineFormula"],
 " \[LineSeparator]MBloadGAPGroup loads the group given by the string Name, \
which should refer to a GAP command, e.g. \"SmallGroup(12,3)\" or \
AlternatingGroup(4) would load ",
 Cell[BoxData[
  SubscriptBox["A", "4"]], "InlineFormula"],
 "."
}], "Usage",
 CellChangeTimes->{{3.526862674593354*^9, 3.526862748604598*^9}, {
  3.526949629415197*^9, 3.52694963045947*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526851363185132*^9, 3.526851388451866*^9}, {
  3.526941648350604*^9, 3.526941654280273*^9}},
 CellLabel->"In[0]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Group", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5268514020126867`*^9, 3.526851403516307*^9}, {
  3.526851440110422*^9, 3.526851442245318*^9}, {3.5268560829021873`*^9, 
  3.526856132585697*^9}, {3.526862777333869*^9, 3.526862790922648*^9}},
 CellLabel->"In[1]:=",
 CellID->805278218],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{3.5268561602350397`*^9, 3.526856643033441*^9, 
  3.526862880323283*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1228997481],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{3.5268561602350397`*^9, 3.526856643033441*^9, 
  3.526862881357665*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->184934688],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5268561602350397`*^9, 3.526856643033441*^9, 
  3.526862881384138*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->245708593],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5268561602350397`*^9, 3.526856643033441*^9, 
  3.526862881385644*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->246814306],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5268561602350397`*^9, 3.526856643033441*^9, 
  3.526862881386794*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1683835713],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5268561602350397`*^9, 3.526856643033441*^9, 
  3.526862881388411*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->300472514],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5268561602350397`*^9, 3.526856643033441*^9, 
  3.5268628813903017`*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1768277479]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Options", "TutorialsSection",
 CellChangeTimes->{{3.526949610844512*^9, 3.5269496115472603`*^9}},
 CellID->514489869],

Cell["\<\
This function allows for two options:\
\>", "Tutorials",
 CellChangeTimes->{{3.52694964488375*^9, 3.5269496470372267`*^9}, {
  3.52694980090382*^9, 3.526949802695479*^9}},
 CellID->1784740454],

Cell["\<\
\"CheckUnitarity\" controls whether there is a check for unitarity of all \
representations. The default is False, as this check is expensive.\
\>", "Tutorials",
 CellChangeTimes->{{3.526949804525429*^9, 3.5269498762565393`*^9}},
 CellID->222458952],

Cell["\<\
\"NumericalEvaluate\" forces the package to evaluate the Clebsch-Gordan \
coefficients numerically. The default is False.\
\>", "Tutorials",
 CellChangeTimes->{{3.526949877223015*^9, 3.5269499114156027`*^9}},
 CellID->701400908]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->2047509536],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526852138870805*^9, 3.526852139640601*^9}},
 CellID->816771918]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 CellID->710151633],

Cell[TextData[{
 ButtonBox["MBloadGAPSmallGroup",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGAPSmallGroup.nb", None}],
 ", ",
 ButtonBox["MBloadGroupManually, ",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGroupManually.nb", None}],
 ButtonBox["MBloadGeneratedGAPGroup",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBloadGeneratedGAPGroup.nb", None}]
}], "SeeAlso",
 CellChangeTimes->{{3.526856055053851*^9, 3.526856066342661*^9}, {
  3.526862804590136*^9, 3.526862817637104*^9}, {3.526862863281021*^9, 
  3.526862863281376*^9}, {3.5268632510520363`*^9, 3.526863251052919*^9}, {
  3.526946476819089*^9, 3.526946503009865*^9}},
 CellID->1401793305]
}, Open  ]]
},
WindowSize->{1280, 776},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 86, 2, 70, "Categorization",
 CellID->605800465],
Cell[1149, 49, 83, 2, 70, "Categorization",
 CellID->468444828],
Cell[1235, 53, 77, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1349, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1407, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1489, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1557, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1654, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1739, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1823, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1942, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[1998, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2064, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2136, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2203, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2275, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2339, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2403, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2469, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2550, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2654, 132, 57, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2714, 135, 544, 14, 92, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3295, 154, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[3654, 167, 272, 7, 26, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[3951, 178, 399, 9, 26, "Input",
 CellID->805278218],
Cell[CellGroupData[{
Cell[4375, 191, 238, 5, 21, "Print",
 CellID->1228997481],
Cell[4616, 198, 200, 4, 21, "Print",
 CellID->184934688],
Cell[4819, 204, 396, 9, 60, "Print",
 CellID->245708593],
Cell[5218, 215, 367, 9, 41, "Print",
 CellID->246814306],
Cell[5588, 226, 374, 9, 41, "Print",
 CellID->1683835713],
Cell[5965, 237, 980, 25, 76, "Print",
 CellID->300472514],
Cell[6948, 264, 1807, 46, 140, "Print",
 CellID->1768277479]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8816, 317, 123, 2, 43, "TutorialsSection",
 CellID->514489869],
Cell[8942, 321, 202, 5, 16, "Tutorials",
 CellID->1784740454],
Cell[9147, 328, 259, 5, 29, "Tutorials",
 CellID->222458952],
Cell[9409, 335, 238, 5, 28, "Tutorials",
 CellID->701400908]
}, Open  ]],
Cell[CellGroupData[{
Cell[9684, 345, 58, 1, 43, "TutorialsSection",
 CellID->2047509536],
Cell[9745, 348, 377, 12, 16, "Tutorials",
 CellID->816771918]
}, Open  ]],
Cell[CellGroupData[{
Cell[10159, 365, 54, 1, 30, "SeeAlsoSection",
 CellID->710151633],
Cell[10216, 368, 655, 16, 16, "SeeAlso",
 CellID->1401793305]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
